The C++ Template Image Processing Library. |

[Introduction]- [News]- [Download]- [Screenshots]- [Tutorial]- [Forums]- [Reference]- [SourceForge Repository ]

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Namespace Members | Class Members

# CImgROI Struct Template Reference

This class represents a region of interest of a CImg<T> image. More...

Inheritance diagram for CImgROI:

List of all members.

## Detailed Description

### template<typename T>
struct cimg_library::CImgROI< T >

This class represents a region of interest of a CImg<T> image.

When using the functions CImg<T>::ref_*(), an instance of a CImgROI<T> is returned, corresponding to a sub-image of the original image. Acting on the CImgROI<T> instance allows to modify only a part of the original image. CImgROI<T> instances should be handled with care.

Definition at line 9604 of file CImg.h.